%global commit     9fd0577cf1231e61c9801c81499e5d16d0743806
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commit_date 20241128
%global gitrel      .%{commit_date}.git%{shortcommit}
%global debug_package %{nil}

Name:           mps-kit
Version:        1.118.90
Release:        %autorelease
Summary:        Ravenbrook Memory Pooling System for building garbage collectors
License:        BSD-2-Clause
URL:            https://www.ravenbrook.com/project/mps 
Source:         https://github.com/Ravenbrook/mps/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Patch:          libdir.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sqlite-devel
Requires:       sqlite

%description
The Ravenbrook memory pool system for garbage collection of languages

%undefine _auto_set_build_flags

%prep
%setup -q -n mps-%{commit}
%autopatch -p1

%build
%configure
export EXTRA_TARGETS=''
export CFLAGS='-Wno-dangling-pointer -Wno-uninitialized -Wno-maybe-uninitialized'
make

%install
%make_install

%files
%license license.txt
%{_includedir}/mps*.h
%{_libdir}/libmps.a
%{_libdir}/libmps-debug.a
%{_bindir}/mpseventcnv
%{_bindir}/mpseventpy
%{_bindir}/mpseventsql
%{_bindir}/mpseventtxt

%changelog
%autochangelog
